TESTING/EIG/dlctes.f(3)

NAME
TESTING/EIG/dlctes.f

SYNOPSIS

  Functions/Subroutines
logical function dlctes (zr, zi, d)
DLCTES

Function/Subroutine Documentation

  logical function dlctes (double precision zr, double precision zi, double precision d)

DLCTES

Purpose:

    !>
    !> DLCTES returns .TRUE. if the eigenvalue (ZR/D) + sqrt(-1)*(ZI/D)
    !> is to be selected (specifically, in this subroutine, if the real
    !> part of the eigenvalue is negative), and otherwise it returns
    !> .FALSE..
    !>
    !> It is used by the test routine DDRGES to test whether the driver
    !> routine DGGES successfully sorts eigenvalues.
    !>

Parameters
    ZR

    !>          ZR is DOUBLE PRECISION
    !>          The numerator of the real part of a complex eigenvalue
    !>          (ZR/D) + i*(ZI/D).
    !>

    ZI

    !>          ZI is DOUBLE PRECISION
    !>          The numerator of the imaginary part of a complex eigenvalue
    !>          (ZR/D) + i*(ZI).
    !>

    D

    !>          D is DOUBLE PRECISION
    !>          The denominator part of a complex eigenvalue
    !>          (ZR/D) + i*(ZI/D).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file dlctes.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.